ECHO OFF
CLS
ECHO ****************************************************************** 
ECHO 			JINGLE DISK CREATE 
ECHO ******************************************************************
IF %1: == %9: GOTO ERR3
IF %1: == a: GOTO SINGLE
IF %1: == A: GOTO SINGLE
IF %1: == b: GOTO DUAL  
IF %1: == B: GOTO DUAL
GOTO ERR3
:SINGLE
ECHO   	 
ECHO     THE DISK CREATE PROCESS IS EASY!
ECHO   
ECHO 1.  BEGIN THIS PROCEDURE WITH YOUR ORIGINAL JINGLE DISK IN THE    
ECHO     DRIVE SLOT 
ECHO   
ECHO 2.  WHEN PROMPTED TO PLACE A DISK IN DRIVE B, INSERT YOUR BLANK,
ECHO     FORMATTED TRANSFER DISK INTO THE DRIVE SLOT
ECHO		   
ECHO 3.  WHEN PROMPTED TO PLACE A DISK IN DRIVE A, INSERT YOUR ORIGINAL
ECHO     JINGLE DISK BACK INTO THE DRIVE SLOT
ECHO  	
ECHO	 REMEMBER . . .
ECHO      
ECHO	        DRIVE A = ORIGINAL JINGLE DISK
ECHO    
ECHO            DRIVE B = TRANSFER DISK       
PAUSE
GOTO PROCEED
:DUAL
ECHO     THE DISK CREATE PROCESS IS EASY!
ECHO       
ECHO 1.  BEGIN THIS PROCEDURE WITH YOUR ORIGINAL JINGLE DISK IN DRIVE A
ECHO    
ECHO 2.  INSERT YOUR BLANK, FORMATTED TRANSFER DISK IN DRIVE B
PAUSE
:PROCEED
ECHO   
IF NOT EXIST A:NAME.DAT GOTO ERR1       
COPY A:NAME.DAT B:
IF NOT EXIST A:JINGLE.EXE GOTO ERR2
COPY A:JINGLE.EXE B:
IF NOT EXIST A:X01N.HSL GOTO ERR2
COPY A:X01N.HSL B:
IF NOT EXIST A:X02C.HSL GOTO ERR2
COPY A:X02C.HSL B:
IF NOT EXIST A:X03C.HSL GOTO ERR2
COPY A:X03C.HSL B:
IF NOT EXIST A:X04C.HSL GOTO ERR2
COPY A:X04C.HSL B:
IF NOT EXIST A:X05N.HSL GOTO ERR2
COPY A:X05N.HSL B:
IF NOT EXIST A:X06C.HSL GOTO ERR2
COPY A:X06C.HSL B:
IF NOT EXIST A:X07C.HSL GOTO ERR2
COPY A:X07C.HSL B:
IF NOT EXIST A:X08C.HSL GOTO ERR2
COPY A:X08C.HSL B:
IF NOT EXIST A:X09C.HSL GOTO ERR2
COPY A:X09C.HSL B:
IF NOT EXIST A:X11C.HSL GOTO ERR2
COPY A:X11C.HSL B:
ERASE A:NAME.DAT
GOTO FINISH  
:ERR1
ECHO       CREATE PROCESS FAILED
ECHO       PLEASE REVIEW INSTRUCTIONS AND TRY AGAIN
GOTO END
:ERR2
ECHO 	   CREATE PROCESS FAILED
ECHO 	   DISK IN DRIVE SLOT OUT OF SEQUENCE
ECHO       PLEASE TRY AGAIN
GOTO END
:ERR3
ECHO       PLEASE DESIGNATE DESTINATION DRIVE   
ECHO       TYPE:  CREATE A  (single drive system)
ECHO              CREATE B  (dual drive system)
ECHO       REDO FROM START
GOTO END
:FINISH
ECHO       SUCCESSFUL COMPLETION
ECHO       TO RUN THE TRANSFER DISK, INSERT IN DRIVE A
ECHO       AND TYPE JINGLE
:END
